Bug 1322266 - CVE-2016-3068 mercurial: arbitrary code execution with Git subrepos
Summary: CVE-2016-3068 mercurial: arbitrary code execution with Git subrepos
Keywords:
Status: CLOSED DUPLICATE of bug 1319768
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20160329,repo...
Depends On: 1322268
Blocks: 1322269
TreeView+ depends on / blocked
 
Reported: 2016-03-30 07:38 UTC by Andrej Nemec
Modified: 2019-06-08 21:05 UTC (History)
3 users (show)

Fixed In Version: mercurial 3.7.3
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-04 08:08:02 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-03-30 07:38:18 UTC
Mercurial prior to 3.7.3 allowed URLs for Git subrepos that could result in arbitrary code execution on clone. This is a further side-effect of Git CVE-2015-7545.

External references:

https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_3.7.3_.282016-3-29.29

Upstream fix:

https://selenic.com/repo/hg-stable/rev/34d43cb85de8

Comment 1 Andrej Nemec 2016-03-30 07:43:38 UTC
Created mercurial tracking bugs for this issue:

Affects: fedora-all [bug 1322268]

Comment 2 Adam Mariš 2016-04-04 08:08:02 UTC

*** This bug has been marked as a duplicate of bug 1319768 ***

Comment 3 Fedora Update System 2016-04-07 15:47:57 UTC
mercurial-3.5.2-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-04-07 15:50:20 UTC
mercurial-3.5.2-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.